LibreOffice LibreOffice 25.2 SDK API Reference

Modules | Constant Groups | Classes | Typedefs | Enumerations
com::sun::star::chart2 Module Reference

New implementation of Charting diagram interfaces. More...

## Modules
module | data
| Chart data provider interfaces.

## Constant Groups
constants | AxisType
constants | DataPointGeometry3D
| These values specify the geometry of data points in 3D bar charts.
constants | MovingAverageType
constants | TickmarkStyle

## Classes
service | Axis
service | CandleStickChartType
| chart type service for candlestick charts. More...
service | CartesianCoordinateSystem2d
service | CartesianCoordinateSystem3d
service | ChartDocument
service | ChartDocumentWrapper
| A component that implements the com::sun::star::chart::ChartDocument service and is initialized with a com::sun::star::chart2::ChartDocument via the com::sun::star::uno::XAggregation interface. More...
service | ChartType
| ChartType service. More...
service | ChartTypeManager
| A factory for creating ChartTypeTemplates. More...
service | ChartTypeTemplate
service | CoordinateSystem
service | CoordinateSystemType
service | DataPoint
service | DataPointCustomLabelField
struct | DataPointLabel
service | DataPointProperties
service | DataSeries
| reflects the model data of the object that has all the information for a DataRenderer to create a visible data series in a chart. More...
service | DataTable
| Describes a data table for a Diagram. More...
service | Diagram
service | ErrorBar
service | ExponentialRegressionCurve
service | ExponentialScaling
| Scaling that scales a value x by taking the power of the base to x. More...
struct | FillBitmap
| This structure contains all properties of a bitmap when used as FillStyle. More...
service | FormattedString
service | GridProperties
| Must be supported by all grids. More...
struct | IncrementData
| An IncrementData describes how tickmarks are positioned on the scale of an axis. More...
service | Legend
| Describes a legend for a Diagram. More...
struct | LightSource
service | LinearRegressionCurve
service | LinearScaling
| Scaling that scales a value x by calculating m ⋅ x + t. More...
service | LogarithmicRegressionCurve
service | LogarithmicScaling
| Scaling that scales values by taking their logarithm. More...
service | LogicTargetModel
service | MovingAverageRegressionCurve
service | PolarCoordinateSystem2d
service | PolarCoordinateSystem3d
service | PolynomialRegressionCurve
service | PotentialRegressionCurve
service | PowerScaling
| Scaling that scales a value x by taking the power of x to the exponent. More...
service | PropertyPool
service | RegressionCurve
service | RegressionCurveEquation
service | RegressionEquation
struct | RelativePosition
| Determines a position of an object relative to a size defined by other means. More...
struct | RelativeSize
| Gives a position relative to some size defined by other means. More...
struct | ScaleData
service | Scaling
| stateless service More...
service | StandardDiagramCreationParameters
| parameters that may be passed to XChartTypeTemplate::createDiagramByDataSource(). More...
struct | SubIncrement
struct | Symbol
| properties that are used for DataSeries that display symbols. More...
service | Title
interface | XAnyDescriptionAccess
| Offers any access to column and row descriptions. More...
interface | XAxis
interface | XChartDocument
interface | XChartShape
| this interface is used for a wrapper of objects implementing the service com::sun::star::drawing::Shape More...
interface | XChartShapeContainer
interface | XChartType
interface | XChartTypeContainer
interface | XChartTypeManager
interface | XChartTypeTemplate
interface | XColorScheme
interface | XCoordinateSystem
interface | XCoordinateSystemContainer
interface | XDataPointCustomLabelField
| Provides interface for DataPointCustomLabelField service. More...
interface | XDataProviderAccess
| Provides access to chart2 data providers for a given document. More...
interface | XDataSeries
| A data series represents the object that has all the knowledge to be rendered as a visual data series. More...
interface | XDataSeriesContainer
interface | XDataTable
| Interface for the data table of a diagram. More...
interface | XDefaultSizeTransmitter
| Allows to set a default size. More...
interface | XDiagram
interface | XDiagramProvider
| Gives access to a single diagram. More...
interface | XFormattedString
interface | XFormattedString2
| Provides unified interface for FormattedString service. More...
interface | XInternalDataProvider
| An internal DataProvider that has more access to data than a plain DataProvider. More...
interface | XLabeled
interface | XLegend
| interface for the legend of a diagram More...
interface | XRegressionCurve
interface | XRegressionCurveCalculator
interface | XRegressionCurveContainer
interface | XScaling
interface | XTarget
interface | XTimeBased
interface | XTitle
interface | XTitled
| Interface to be implemented by objects that support having a title of type XTitle. More...

## Typedefs
typedef string | CoordinateSystemTypeID

## Enumerations
enum | AxisOrientation { MATHEMATICAL , REVERSE }
enum | CurveStyle { LINES , CUBIC_SPLINES , B_SPLINES , NURBS , STEP_START , STEP_END , STEP_CENTER_X , STEP_CENTER_Y }
| Sets the type of curves that are drawn for line charts. More...
enum | DataPointCustomLabelFieldType { TEXT , VALUE , SERIESNAME , CATEGORYNAME , CELLREF , NEWLINE , PERCENTAGE , CELLRANGE }
| The Field type enumeration for custom data point labels. More...
enum | LegendPosition { LINE_START , LINE_END , PAGE_START , PAGE_END , CUSTOM }
enum | PieChartOffsetMode { NONE , ALL_EXPLODED }
| Mode used for a pie chart template to determine the initial state of exploded pies. More...
enum | PieChartSubType { NONE , BAR , PIE }
| Mode used for a pie chart template to determine the initial state of exploded pies. More...
enum | StackingDirection { NO_STACKING , Y_STACKING , Z_STACKING }
enum | SymbolStyle { NONE , AUTO , STANDARD , POLYGON , GRAPHIC }
| determines what kind of symbol to use More...
enum | TransparencyStyle { NONE , LINEAR , GRADIENT }

## Detailed Description

New implementation of Charting diagram interfaces.

This module contains only a rather small public API. In addition there is a private API in the chart2 project.

## Typedef Documentation

## ◆ CoordinateSystemTypeID

typedef string CoordinateSystemTypeID

## Enumeration Type Documentation

## ◆ AxisOrientation

enum AxisOrientation

Enumerator
MATHEMATICAL | means equal to the primary writing direction
REVERSE | means the opposite of the primary writing direction

## ◆ CurveStyle

enum CurveStyle

Sets the type of curves that are drawn for line charts.

Enumerator
LINES | Lines between data points are not smoothed.
CUBIC_SPLINES | Data points are connected via a smoothed cubic spline curve. The data points themselves are part of to the curve.
B_SPLINES | Data points are connected via a parametric, interpolating B-spline curve.
NURBS | Non-uniform rational b-splines.
STEP_START | Data points are connected via a 2-segmented stepped line. The line starts horizontally.
                   O
                   |
                   |
                   |
             O-----+
STEP_END | Data points are connected via a 2-segmented stepped line. The line ends horizontally.
            +------O
            |
            |
            |
            O
STEP_CENTER_X | Data points are connected via a 3-segmented stepped line. The lines is horizontal till the center of the X values.
                +--O
                |
                |
                |
             O--+
STEP_CENTER_Y | Data points are connected via a 3-segmented stepped line. The lines is horizontal at the center of the Y values.
                   O
                   |
             +-----+
             |
             O

## ◆ DataPointCustomLabelFieldType

enum DataPointCustomLabelFieldType

The Field type enumeration for custom data point labels.

Since
  LibreOffice 6.1

Enumerator
TEXT |
VALUE |
SERIESNAME |
CATEGORYNAME |
CELLREF |
NEWLINE |
PERCENTAGE |
CELLRANGE |

## ◆ LegendPosition

enum LegendPosition

Enumerator
LINE_START | In LTR mode this is the left-hand side.
LINE_END | In LTR mode this is the right-hand side.
    <p>This usually is the default.</p>
PAGE_START | In LTR mode this is the top side.
PAGE_END | In LTR mode this is the bottom side.
CUSTOM | The position of the legend is given by an offset value.

## ◆ PieChartOffsetMode

enum PieChartOffsetMode

Mode used for a pie chart template to determine the initial state of exploded pies.

Enumerator
NONE | Default, no pies are exploded. no transparency attribute is evaluated The symbol is invisible. Default: pie chart only.
ALL_EXPLODED | All pies are exploded by a certain percentage. The default is 10 percent.

## ◆ PieChartSubType

enum PieChartSubType

Mode used for a pie chart template to determine the initial state of exploded pies.

Since
  LibreOffice 24.8

Enumerator
NONE | Default, no pies are exploded. no transparency attribute is evaluated The symbol is invisible. Default: pie chart only.
BAR | Bar subchart.
PIE | Pie subchart.

## ◆ StackingDirection

enum StackingDirection

Enumerator
NO_STACKING |
Y_STACKING |
Z_STACKING |

## ◆ SymbolStyle

enum SymbolStyle

determines what kind of symbol to use

Enumerator
NONE | Default, no pies are exploded. no transparency attribute is evaluated The symbol is invisible. Default: pie chart only.
AUTO | The symbol is taken automatically.
    <p>This will typically be the nth standard symbol for the nth
    data series.</p>
STANDARD | uses one of the standard symbols. Which standard symbol is given in Symbol::StandardSymbol.
POLYGON | uses the symbol given in the com::sun::star::drawing::PolyPolygonBezierCoords given in Symbol::PolygonCoords.
GRAPHIC | uses the graphic given in Symbol::Graphic as symbol.

## ◆ TransparencyStyle

enum TransparencyStyle

Enumerator
NONE | Default, no pies are exploded. no transparency attribute is evaluated The symbol is invisible. Default: pie chart only.
LINEAR | The property Transparency is evaluated, TransparencyGradient is ignored.
GRADIENT | The property TransparencyGradient is evaluated, Transparency is ignored.